import { loadContractArtifact } from '@aztec/stdlib/abi';
import MultiCallEntrypointJson from '../../artifacts/MultiCallEntrypoint.json' with {
    type: 'json'
};
import { makeStandardContract } from '../make_standard_contract.js';
export { STANDARD_MULTI_CALL_ENTRYPOINT_ADDRESS, STANDARD_MULTI_CALL_ENTRYPOINT_CLASS_ID, STANDARD_MULTI_CALL_ENTRYPOINT_SALT } from './constants.js';
export const MultiCallEntrypointArtifact = loadContractArtifact(MultiCallEntrypointJson);
let standardContract;
/** Returns the standard deployment of the multi-call entrypoint. */ export function getStandardMultiCallEntrypoint() {
    if (!standardContract) {
        standardContract = makeStandardContract('MultiCallEntrypoint', MultiCallEntrypointArtifact);
    }
    return Promise.resolve(standardContract);
}
